package com.ningdatech.pmapi.gov.utils;

import com.ningdatech.pmapi.gov.model.vo.GovBizProjectDetailVO;
import com.ningdatech.pmapi.projectlib.model.entity.Project;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Objects;

/**
 * @Classname ProjectCollectionUtil
 * @Description
 * @Date 2023/9/14 9:07
 * @Author PoffyZhang
 */
public class ProjectConvertUtil {

    /**
     * 申报项目 转为 项目归集
     * @param project
     * @return
     */
    public static GovBizProjectDetailVO declaredToCollection(Project project){
        GovBizProjectDetailVO projectCollection = new GovBizProjectDetailVO();
        if(Objects.isNull(project)){
            return projectCollection;
        }
        String projectCode = project.getProjectCode();
        String projectName = project.getProjectName();
        projectCollection.setBaseProjId(projectCode);
        return projectCollection;
    }

}
